org.jacoco.report.check

## Class Rule

- java.lang.Object
- - org.jacoco.report.check.Rule

    public final class Rule
    extends Object

A rule applies for a certain element type and can define any number of limits for all elements of this type.

### Constructor Summary

Constructors
Constructor and Description
`Rule()` Creates a new Rule without limits.

### Method Summary

All Methods Instance Methods Concrete Methods
`Limit` `createLimit()` Creates and adds a new `Limit`.
`ICoverageNode.ElementType` `getElement()`
`String` `getExcludes()`
`String` `getIncludes()`
`List<Limit>` `getLimits()`
`void` `setElement(ICoverageNode.ElementType elementType)`
`void` `setExcludes(String excludes)`
`void` `setIncludes(String includes)`
`void` `setLimits(List<Limit> limits)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rule

    public Rule()

Creates a new Rule without limits.

### Method Detail

#### getElement

    public ICoverageNode.ElementType getElement()

Returns:
  element type this rule applies to

#### setElement

    public void setElement(ICoverageNode.ElementType elementType)

Parameters:
  `elementType` - element type this rule applies to

#### getIncludes

    public String getIncludes()

Returns:
  includes pattern

#### setIncludes

    public void setIncludes(String includes)

Parameters:
  `includes` - includes pattern

#### getExcludes

    public String getExcludes()

Returns:
  excludes pattern

#### setExcludes

    public void setExcludes(String excludes)

Parameters:
  `excludes` - excludes patterns

#### getLimits

    public List<Limit> getLimits()

Returns:
  list of `Limit`s configured for this rule

#### setLimits

    public void setLimits(List<Limit> limits)

Parameters:
  `limits` - list of `Limit`s configured for this rule

#### createLimit

    public Limit createLimit()

Creates and adds a new `Limit`.

Returns:
  creates `Limit`